> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# favouritetype

> MDO list provider for Favourite types

## "favouritetype" MDO List

MDO list provider for Favourite types

Implemented by the <see cref="T:SuperOffice.CRM.Lists.FavouriteTypeListProvider">FavouriteTypeListProvider</see> class.
The name of the MDO list is 'favouritetype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/favouritetype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("favouritetype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                    | StyleHint | ExtraInfo |
| -- | ----------------------- | --------- | --------- |
| 0  | Show all                |           |           |
| 1  | Companies/Contacts only |           |           |
| 3  | Projects only           |           |           |
| 4  | Selections only         |           |           |
| 5  | Activities only         |           |           |
| 9  | Sales only              |           |           |

## Related MDO Lists

* "favouritetypeheadings"
* "favouritetypeheadingswithallitem"
* "favouritetypeheadingswithallitemwithnoselection"
* "favouritetypeheadingswithnoselection"
* "favouritetypewithallitem"
* "favouritetypewithallitemwithnoselection"
* "favouritetypewithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
